Bug 183306 - audit2allow loses some rules
audit2allow loses some rules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 22:49 EST by Miloslav Trmač
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.29.26-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 09:04:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source audit log (3.77 KB, text/plain)
2006-02-27 22:49 EST, Miloslav Trmač
no flags Details

  None (edit)
Description Miloslav Trmač 2006-02-27 22:49:53 EST
Description of problem:
(audit2allow -M talkd -i log) generates:

module talkd 1.0;

require {
        role object_r;
        role system_r;

        class chr_file { getattr write };
        class file { lock read };

        type inetd_child_t;
        type initrc_var_run_t;
        type tty_device_t;
 };


allow inetd_child_t initrc_var_run_t:file lock;
allow inetd_child_t tty_device_t:chr_file write;

Notice that it requires chr_file:getattr and file:read, but it doesn't use
them in the "allow" rules as it should.

Version-Release number of selected component (if applicable):
policycoreutils-1.29.26-2
Comment 1 Miloslav Trmač 2006-02-27 22:49:53 EST
Created attachment 125374 [details]
source audit log
Comment 2 Daniel Walsh 2006-03-06 09:41:10 EST
Fixed in policycoreutils-1.29.26-5

THanks for the bug report.
Comment 3 Miloslav Trmač 2006-03-07 09:04:29 EST
Confirmed, thanks!

Note You need to log in before you can comment on or make changes to this bug.